; ENIGMA RSS READER
; To change the RSS 2.0 feed that this skin reads from, the site it links to, and
; the browser it opens with, edit the variables below.

[Rainmeter]
Author=Kaelri.LCD@gmail.com
Update=1000
DynamicWindowSize=1
W=180

;Metadata added by RainBrowser
;http://rainmeter.net/RainWiki/index.php?title=Rainmeter_101#.5BMetadata.5D

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Variables]

RSSURL=http://filelist.ro/rss.php?feed=dl&cat=11,10,15,18,16,2,3,4,5,6,1,19,9,17,8,13,14,12,7&passkey=5730000cd1ebd6c1f206edcdedba3df7
; This is the URL of your Atom feed.
RSSLink=http://filelist.ro
; This page will load when you click the icon.

Font=Imagine font
FontColor1=47, 145, 215, 217
FontColor2=47, 145, 215, 160
FontColor3=47, 145, 215, 160
FontColorActive=47, 145, 215,255
FontHeight1=7
FontHeight2=6
AntiAlias=1
Substitute="&amp;":"&","&quot;":"","&Quot;":"","&lt;br&gt;":"","<![CDATA[":"","]]>":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":"","&#39;":"'"

; ------------------------------------------------------------------------------------------------

[RSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#RSSURL#
RegExp="(?siU)<title>(.*)<\/title>(?(?=.*<lastBuildDate>(.*)<\/lastBuildDate>))(?(?=.*<link>(.*)<\/link>.)).*<description>(.*)<\/description>(?:(?:.*<url>(.*)<\/url>)|.*).*<item(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)"
UpdateRate=600
StringIndex=1
Substitute=#Substitute#

[MeasureRSS1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=6
Substitute=#Substitute#

[MeasureLink1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=8
Substitute="&amp;":"&"

---

[MeasureRSS2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=10
Substitute=#Substitute#

[MeasureLink2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=12
Substitute="&amp;":"&"

---

[MeasureRSS3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=14
Substitute=#Substitute#

[MeasureLink3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=16
Substitute="&amp;":"&"

---

[MeasureRSS4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=18
Substitute=#Substitute#

[MeasureLink4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=20
Substitute="&amp;":"&"

---

[MeasureRSS5]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=22
Substitute=#Substitute#

[MeasureLink5]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=24
Substitute="&amp;":"&"

---

[MeasureRSS6]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=26
Substitute=#Substitute#

[MeasureLink6]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=28
Substitute="&amp;":"&"

---

[MeasureRSS7]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=30
Substitute=#Substitute#

[MeasureLink7]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=32
Substitute="&amp;":"&"

---

[MeasureRSS8]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=34
Substitute=#Substitute#

[MeasureLink8]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=36
Substitute="&amp;":"&"

---

[MeasureRSS9]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=38
Substitute=#Substitute#

[MeasureLink9]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=40
Substitute="&amp;":"&"

---

[MeasureRSS10]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=42
Substitute=#Substitute#

[MeasureLink10]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=44
Substitute="&amp;":"&"

; ------------------------------------------------------------------------------------------------

[Border]
Meter=IMAGE
SolidColor=192, 192, 192, 1
X=0
Y=0
H=1
W=180

[Backing]
Meter=IMAGE
SolidColor=0, 0, 0, 2
X=0
Y=1
W=180
H=30

[Title]
Meter=STRING
MeasureName=RSS
X=27
Y=10
StringStyle=BOLD
FontColor=#FontColor1#
FontSize=#FontHeight1#
FontFace=#Font#
AntiAlias=1
;Text="Lifehacker"
MouseOverAction=!execute [!RainmeterShowMeter Feed1][!RainmeterHideMeter Link1][!RainmeterShowMeter Feed2][!RainmeterHideMeter Link2][!RainmeterShowMeter Feed3][!RainmeterHideMeter Link3][!RainmeterShowMeter Feed4][!RainmeterHideMeter Link4][!RainmeterShowMeter Feed5][!RainmeterHideMeter Link5][!RainmeterShowMeter Feed6][!RainmeterHideMeter Link6][!RainmeterShowMeter Feed7][!RainmeterHideMeter Link7][!RainmeterShowMeter Feed8][!RainmeterHideMeter Link8][!RainmeterShowMeter Feed9][!RainmeterHideMeter Link9][!RainmeterShowMeter Feed10][!RainmeterHideMeter Link10][!RainmeterShowMeter Title][!RainmeterHideMeter TitleActive][!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterShowMeter TitleActive][!RainmeterHideMeter Title][!RainmeterRedraw]

[TitleActive]
Meter=STRING
MeasureName=RSS
X=r
Y=r
StringStyle=BOLD
FontColor=#FontColorActive#
FontSize=#FontHeight1#
FontFace=#Font#
AntiAlias=1
;Text="Lifehacker"
Hidden=1
LeftMouseUpAction=!execute ["#RSSLink#"][!RainmeterShowMeter Title][!RainmeterHideMeter TitleActive][!RainmeterRedraw]

[Icon]
Meter=IMAGE
ImageName=Readerrbl.png
X=0
Y=5
W=25
H=25
LeftMouseDownAction=!Execute [!RainmeterShowMeter IconActive][!RainmeterHideMeter Icon][!RainmeterRedraw]

[IconActive]
Meter=IMAGE
ImageName=Readerrrbl.png
X=r
Y=r
W=25
H=25
Hidden=1
LeftMouseUpAction=!execute ["#RSSLink#"][!RainmeterShowMeter Icon][!RainmeterHideMeter IconActive][!RainmeterRedraw]

[Feed1]
Meter=STRING
MeasureName=MeasureRSS1
X=2
Y=32
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor2#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link1][!RainmeterHideMeter Feed1][!RainmeterRedraw]

[Link1]
Meter=STRING
MeasureName=MeasureRSS1
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed1][!RainmeterHideMeter Link1][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink1]

[Feed2]
Meter=STRING
MeasureName=MeasureRSS2
MeasureName2=MeasureLink2
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor3#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link2][!RainmeterHideMeter Feed2][!RainmeterRedraw]

[Link2]
Meter=STRING
MeasureName=MeasureRSS2
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed2][!RainmeterHideMeter Link2][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink2]

[Feed3]
Meter=STRING
MeasureName=MeasureRSS3
MeasureName2=MeasureLink3
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor2#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link3][!RainmeterHideMeter Feed3][!RainmeterRedraw]

[Link3]
Meter=STRING
MeasureName=MeasureRSS3
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed3][!RainmeterHideMeter Link3][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink3]

[Feed4]
Meter=STRING
MeasureName=MeasureRSS4
MeasureName2=MeasureLink4
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor3#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link4][!RainmeterHideMeter Feed4][!RainmeterRedraw]

[Link4]
Meter=STRING
MeasureName=MeasureRSS4
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed4][!RainmeterHideMeter Link4][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink4]

[Feed5]
Meter=STRING
MeasureName=MeasureRSS5
MeasureName2=MeasureLink5
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor2#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link5][!RainmeterHideMeter Feed5][!RainmeterRedraw]

[Link5]
Meter=STRING
MeasureName=MeasureRSS5
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed5][!RainmeterHideMeter Link5][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink5]

[Feed6]
Meter=STRING
MeasureName=MeasureRSS6
MeasureName2=MeasureLink6
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor3#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link6][!RainmeterHideMeter Feed6][!RainmeterRedraw]

[Link6]
Meter=STRING
MeasureName=MeasureRSS6
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed6][!RainmeterHideMeter Link6][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink6]

[Feed7]
Meter=STRING
MeasureName=MeasureRSS7
MeasureName2=MeasureLink7
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor2#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link7][!RainmeterHideMeter Feed7][!RainmeterRedraw]

[Link7]
Meter=STRING
MeasureName=MeasureRSS7
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed7][!RainmeterHideMeter Link7][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink7]

[Feed8]
Meter=STRING
MeasureName=MeasureRSS8
MeasureName2=MeasureLink8
X=2
Y=15r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColor3#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
MouseOverAction=!execute [!RainmeterShowMeter Link8][!RainmeterHideMeter Feed8][!RainmeterRedraw]

[Link8]
Meter=STRING
MeasureName=MeasureRSS8
X=r
Y=r
H=10
W=180
ClipString=1
StringStyle=NORMAL
FontColor=#FontColorActive#
FontSize=#FontHeight2#
FontFace=#Font#
AntiAlias=1
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed8][!RainmeterHideMeter Link8][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink8]

[Border2]
Meter=IMAGE
SolidColor=192, 192, 192, 1
X=0
Y=25r
H=1
W=180


=================================================
[MeterButtonrss1]
Meter=BUTTON
X=239
Y=33
ButtonImage=rssbtn1bl.png
ButtonCommand=!RainmeterActivateConfig "rss" "ReaderRSSbl.ini"

[MeterButtonrss2]
Meter=BUTTON
X=227
Y=58
ButtonImage=rssbtn2bl.png
ButtonCommand=!RainmeterActivateConfig "rss" "ReaderRSS1bl.ini"

[MeterButtonrss3]
Meter=BUTTON
X=236
Y=65
ButtonImage=rssbtn3bl.png
ButtonCommand=!RainmeterActivateConfig "rss" "ReaderRSS2bl.ini"

[MeterButtonrss4]
Meter=BUTTON
X=221
Y=88
ButtonImage=rssbtn4bl.png
ButtonCommand=!Execute [!RainmeterHideMeter Separator][!RainmeterHideMeter Backing][!RainmeterHideMeter Icon1][!RainmeterHideMeter IconActive1][!RainmeterHideMeter Notes]

[MeterButtonrss5]
Meter=BUTTON
X=242
Y=100
ButtonImage=rssbtn5bl.png
ButtonCommand=!Execute [!RainmeterShowMeter Separator][!RainmeterShowMeter Backing][!RainmeterShowMeter Icon1][!RainmeterShowMeter IconActive1][!RainmeterShowMeter Notes]

====================================================================================================================


[MeasureNotes]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#CURRENTPATH#Notes.txt
Disabled=0
Separator=¶
#Subfolders=0
#FileFilter=*.txt

[Separator]
Meter=IMAGE
SolidColor=#FontColor1#
X=0
Y=152
H=1
W=210
Hidden=0

[Backing]
Meter=IMAGE
SolidColor=0, 0, 0, 2
X=300
Y=61
W=180
H=60
Hidden=0

[Notes]
Meter=STRING
MeasureName=MeasureNotes
X=3
Y=160
W=186
H=200
FontColor=#FontColor2#
FontFace=imagine font
FontSize=6
StringStyle=NORMAL
AntiAlias=1
ClipString=1
Hidden=0

[Icon1]
Meter=IMAGE
ImageName=Notesbl.png
X=0
Y=155
W=25
H=25
LeftMouseDownAction=!Execute [!RainmeterShowMeter IconActive][!RainmeterHideMeter Icon][!RainmeterRedraw]
Hidden=0

[IconActive1]
Meter=IMAGE
ImageName=NotesActivebl.png
X=r
Y=r
W=25
H=25
LeftMouseUpAction=!execute ["#CURRENTPATH#Notes.txt"][!RainmeterShowMeter Icon][!RainmeterHideMeter IconActive][!RainmeterRedraw]
Hidden=0

=======================================================================================
